class DefaultResponseApi {
  int? errorCode;
  String? errorMessage;

  DefaultResponseApi({this.errorCode, this.errorMessage});

  DefaultResponseApi.fromJson(Map<String, dynamic> json) {
    errorCode = json['ErrorCode'];
    errorMessage = json['ErrorMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ErrorCode'] = this.errorCode;
    data['ErrorMessage'] = this.errorMessage;
    return data;
  }
}

class RegistraDeviceRequest {
  int? aPPMOBILECODIGO;
  int? pLATAFORMAMOBILECODIGO;
  String? dEVICETOKEN;
  String? mODELODEVICE;
  int? uSUCOD;

  RegistraDeviceRequest(
      {this.aPPMOBILECODIGO,
      this.pLATAFORMAMOBILECODIGO,
      this.dEVICETOKEN,
      this.mODELODEVICE,
      this.uSUCOD});

  RegistraDeviceRequest.fromJson(Map<String, dynamic> json) {
    aPPMOBILECODIGO = json['APP_MOBILE_CODIGO'];
    pLATAFORMAMOBILECODIGO = json['PLATAFORMA_MOBILE_CODIGO'];
    dEVICETOKEN = json['DEVICE_TOKEN'];
    mODELODEVICE = json['MODELO_DEVICE'];
    uSUCOD = json['USU_COD'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['APP_MOBILE_CODIGO'] = this.aPPMOBILECODIGO;
    data['PLATAFORMA_MOBILE_CODIGO'] = this.pLATAFORMAMOBILECODIGO;
    data['DEVICE_TOKEN'] = this.dEVICETOKEN;
    data['MODELO_DEVICE'] = this.mODELODEVICE;
    data['USU_COD'] = this.uSUCOD;
    return data;
  }
}

class ApiStatusResponse {
  String? sistema;
  String? upload;
  String? download;
  String? pagamento;
  int? errorCode;
  String? errorMessage;

  ApiStatusResponse(
      {this.sistema,
      this.upload,
      this.download,
      this.pagamento,
      this.errorCode,
      this.errorMessage});

  ApiStatusResponse.fromJson(Map<String, dynamic> json) {
    sistema = json['Sistema'];
    upload = json['Upload'];
    download = json['Download'];
    pagamento = json['Pagamento'];
    errorCode = json['ErrorCode'];
    errorMessage = json['ErrorMessage'];
  }
}

class VersaoMinimaResponse {
  int? versaoMinima;
  String? linkLoja;
  String? nome;
  int? errorCode;
  String? errorMessage;
  bool? vOk;

  VersaoMinimaResponse({this.errorCode, this.errorMessage,this.linkLoja,this.nome,this.versaoMinima,this.vOk});

  VersaoMinimaResponse.fromJson(Map<String, dynamic> json) {
    errorCode = json['ErrorCode'];
    errorMessage = json['ErrorMessage'];
    versaoMinima = json['VersaoMinima'];
    linkLoja = json['LinkLoja'];
    nome = json['Nome'];
    vOk = true;
  }
}